QGIS Application - Bug report #5079
Error adding WFS layer from an Intergraph WebMap WFS
2012-02-23 09:22 PM - Robert Parsons

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 14845
Description

| am trying to add a layer from an Intergraph based WFS (serving xml based on GeoMedia WebMap software). | can connect OK to the
WEFS in QGIS but when | try and add a particular layer | get the following error (sorry this WFS | have setup inside my corporate domain so
it is not available externally):

The Layer
http://nzrdp-win64/USWFS1/request.aspx?SERVICE=WFS&#38;VERSION=1.0.0&#38;REQUEST=GetFeature&#38; TYPENAME=gm
ml:States&#38;SRSNAME=EPSG:4326 is not a valid layer and can not be added to the map

If | type the same URL into a browser | get (what | assume is) a valid response from this request as per attached xml.

I may be able to arrange external access to a server running a GeoMedia WebMap WFS if that will help you. | can also send you the
getcapabilites xml if that will help.

History

#1 - 2012-09-04 12:08 PM - Paolo Cavallini
- Target version set to Version 2.0.0

#2 - 2013-07-12 10:46 AM - Paolo Cavallini
- Category set to Web Services clients/WFS

#3 - 2014-06-28 07:41 AM - Jiirgen Fischer
- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#4 - 2015-12-08 07:08 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

as the WFS service is not public and it is not easy to set up a dedicated Intergraph server, would you like to make a test with a recent version of QGIS
(2.12.1 or master) to confirm if this bug is still valid ?

Thanks !

#5 - 2015-12-26 03:43 AM - Giovanni Manghi
http://nzrdp-win64/USWFS1/request.aspx?SERVICE=WFS&#38;VERSION=1.0.0&#38;REQUEST=GetFeature&#38;TYPENAME=gmgml:States&#38;SRSNAME=EPSG:4326
http://nzrdp-win64/USWFS1/request.aspx?SERVICE=WFS&#38;VERSION=1.0.0&#38;REQUEST=GetFeature&#38;TYPENAME=gmgml:States&#38;SRSNAME=EPSG:4326

- Resolution set to not reproducable

- Status changed from Feedback to Closed

closing for lack of feedback, reopen if necessary.
